Pular para o conteúdo principal
GET
/
events
/
v3
/
events
cURL
curl --request GET \
  --url https://api.hubapi.com/events/v3/events \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "eventType": "<string>",
      "id": "<string>",
      "objectId": "<string>",
      "objectType": "<string>",
      "occurredAt": "2023-11-07T05:31:56Z",
      "properties": {}
    }
  ],
  "paging": {
    "next": {
      "after": "<string>",
      "link": "<string>"
    },
    "prev": {
      "before": "<string>",
      "link": "<string>"
    }
  }
}

Supported products

Autorizações

Authorization
string
header
obrigatório

The access token received from the authorization server in the OAuth 2.0 flow.

Parâmetros de consulta

after
string

The paging cursor token of the last successfully read resource will be returned as the paging.next.after JSON property of a paged response containing more results.

before
string
eventType
string
id
string[]
limit
integer<int32>

The maximum number of results to display per page.

objectId
integer<int64>
objectProperty.{propname}
object
objectType
string
occurredAfter
string<date-time>
occurredBefore
string<date-time>
properties
string[]
property.{propname}
object
sort
string[]

Resposta

successful operation

results
object[]
obrigatório

An array of ExternalUnifiedEvent objects, each representing an individual event with its associated details.

paging
object
Last modified on April 13, 2026